%define enable_atlas 1
%{?_with_atlas: %global enable_atlas 1}

%define module	scipy
%define name	python-%{module}
%define version 0.8.0
%define release %mkrel 1

%define Werror_cflags %nil

Summary:	Scientific tools for Python
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{module}-%{version}.tar.gz
Patch0:		umfpack-setup.py.patch
License:	BSD
Group:		Development/Python
BuildRoot:	%{_tmppath}/%{name}-buildroot
Url:		http://www.scipy.org
Obsoletes:	python-SciPy
Obsoletes:	python-symeig
Requires:	python-numpy >= 1.4.1
BuildRequires:	swig
%if %enable_atlas
BuildRequires:	libatlas-devel
%else
BuildRequires:	blas-devel
%endif 
BuildRequires:	lapack-devel 
BuildRequires:	python-numpy-devel >= 1.4.1
BuildRequires:	gcc-gfortran >= 4.0
BuildRequires:	netcdf-devel
BuildRequires:	python-nose
%py_requires -d
%if %{mdkversion} <= 200800
# Needed to prevent older amd/umfpack devel packages from interfering with
# build on 2008.0:
BuildRequires:	amd-devel = 2.2.0, umfpack-devel = 5.2.0
%else
BuildRequires:	amd-devel umfpack-devel
%endif
BuildRequires:	python-sphinx
BuildRequires:	python-matplotlib

%description
SciPy is an open source library of scientific tools for Python. SciPy
supplements the popular numpy module, gathering a variety of high level
science and engineering modules together as a single package.

SciPy includes modules for graphics and plotting, optimization, integration,
special functions, signal and image processing, genetic algorithms, ODE 
solvers, and others.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p0 -b .umfpack

%build

# Make sure that gcc 4 is being used to build the package:
GCC_VERSION=`gcc --version | awk 'NR == 1 {print $3}'`
if echo $GCC_VERSION | grep ^4 > /dev/null; then
   export CC=gcc-$GCC_VERSION
else
   echo "Need GCC 4 to build"
   exit 1
fi

export CC=gcc-$GCC_VERSION

CFLAGS="%{optflags} -fPIC -O3" PYTHONDONTWRITEBYTECODE= %__python setup.py config_fc --fcompiler=gnu95 build

pushd doc
export PYTHONPATH=`dir -d ../build/lib.linux*`
%__make html
popd

%install
%__rm -rf %{buildroot}
CFLAGS="%{optflags} -fPIC -O3" PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} 

# Remove doc files that should be in %doc:
%__rm -f %{buildroot}%{py_platsitedir}/%{module}/*.txt

%check
pushd doc &> /dev/null
PYTHONPATH=%{buildroot}%{py_platsitedir} python -c "import scipy; scipy.test()"
popd &> /dev/null

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.txt THANKS.txt LATEST.txt LICENSE.txt TOCHANGE.txt doc/build/html
%dir %{py_platsitedir}/%{module}
%{py_platsitedir}/%{module}/*
%{py_platsitedir}/%{module}-*.egg-info


%changelog
* Wed Jul 28 2010 Lev Givon <lev@mandriva.org> 0.8.0-1mdv2011.0
+ Revision: 562117
- Update to 0.8.0.
  Remove old patches that are no longer necessary.
  Build documentation.

* Mon May 17 2010 Paulo Andrade <pcpa@mandriva.com.br> 0.7.2-2mdv2010.1
+ Revision: 545054
- Correct several sagemath doctest failures - upstream changeset 5790

* Thu Apr 22 2010 Lev Givon <lev@mandriva.org> 0.7.2-1mdv2010.1
+ Revision: 537983
- Update to 0.7.2.

* Tue Mar 23 2010 Lev Givon <lev@mandriva.org> 0.7.1-6mdv2010.1
+ Revision: 526950
- Byte-compile py files.

* Mon Mar 22 2010 Lev Givon <lev@mandriva.org> 0.7.1-5mdv2010.1
+ Revision: 526537
- Obsolete python-symeig (integrated into scipy 0.7.*).

* Thu Feb 04 2010 Paulo Andrade <pcpa@mandriva.com.br> 0.7.1-4mdv2010.1
+ Revision: 500968
- Rebuild

* Mon Jan 25 2010 Lev Givon <lev@mandriva.org> 0.7.1-3mdv2010.1
+ Revision: 496472
- Clean up spec file.
  Build against atlas instead of netlib blas/lapack.

* Tue Oct 06 2009 Lev Givon <lev@mandriva.org> 0.7.1-1mdv2010.0
+ Revision: 455040
- Update to 0.7.1.
- Add python-nose as an optional install dependency.

* Fri May 08 2009 Lev Givon <lev@mandriva.org> 0.7.0-2mdv2010.0
+ Revision: 373544
- Bump release - need to rebuild to run on Mandriva 2009.1.

* Thu Feb 12 2009 Lev Givon <lev@mandriva.org> 0.7.0-1mdv2009.1
+ Revision: 339808
- Update to 0.7.0.

* Mon Jul 14 2008 Funda Wang <fwang@mandriva.org> 0.6.0-8mdv2009.0
+ Revision: 234449
- rebuild for new lapack layout

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.6.0-7mdv2009.0
+ Revision: 222523
+ rebuild (emptylog)

* Mon Jun 16 2008 Lev Givon <lev@mandriva.org> 0.6.0-6mdv2009.0
+ Revision: 220136
- Rebuild against numpy 1.1.0.
  Disable netcdf sandbox package because it doesn't compile properly.

* Thu Jan 03 2008 Lev Givon <lev@mandriva.org> 0.6.0-5mdv2008.1
+ Revision: 141003
- Specify amd-devel and umfpack-devel versions to enable build of 0.6.0
  on 2008.0.

* Tue Jan 01 2008 Lev Givon <lev@mandriva.org> 0.6.0-4mdv2008.1
+ Revision: 140144
- Tweak buildreqs in light of the refactored suitesparse packages.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 13 2007 Lev Givon <lev@mandriva.org> 0.6.0-3mdv2008.1
+ Revision: 108470
- Bump release to rebuild against lapack 3.1.1.
- Add patch to allow python-scipy to build against umfpack 5.
- Update to 0.6.0.

* Wed Aug 22 2007 Lev Givon <lev@mandriva.org> 0.5.2.1-1mdv2008.0
+ Revision: 69187
- Update to 0.5.2.1.

* Wed Jun 20 2007 Lev Givon <lev@mandriva.org> 0.5.2-6mdv2008.0
+ Revision: 41866
- Apply patches to allow 0.5.2 to build against numpy 1.0.3.

* Wed Apr 18 2007 Lev Givon <lev@mandriva.org> 0.5.2-5mdv2008.0
+ Revision: 14357
- Bump release to force build against numpy 1.0.2.


* Wed Feb 21 2007 Lev Givon <lev@mandriva.org> 0.5.2-4mdv2007.0
+ Revision: 123942
- Fix python issue in montecarlo.py
- Add netcdf-devel build dependency.
- Tweak.
- Add X11 build dependency for xplt.
- Add randomkit so that the montecarlo package can be built.
- Enable various sandbox packages.
- Add numpy install dependency.

* Thu Dec 14 2006 Lev Givon <lev@mandriva.org> 0.5.2-2mdv2007.1
+ Revision: 97096
- Add swig dependency.
- Add umfpack dependency.

* Sun Dec 10 2006 Lev Givon <lev@mandriva.org> 0.5.2-1mdv2007.1
+ Revision: 94423
- Update to version 0.5.2.
- Raise release number to permit rebuild against Python 2.5.

* Wed Nov 01 2006 Lev Givon <lev@mandriva.org> 0.5.1-2mdv2007.1
+ Revision: 75027
- Raise release number to placate build system.
- Update to 0.5.1.
- Import python-scipy

* Mon Jul 31 2006 Lev Givon <lev@mandriva.org> 0.5.0-1mdk
- Update.

* Fri May 26 2006 Lev Givon <lev@mandriva.org> 0.4.9-2mdk
- More cleanup.

* Thu May 25 2006 Lev Givon <lev@mandriva.org> 0.4.9-1mdk
- Update version.

* Mon May 22 2006 Lev Givon <lev@mandriva.org> 0.4.8-5mdk
- Make build requirements more concise.

* Sat May 06 2006 Lev Givon <lev@mandriva.org> 0.4.8-4mdk
- Correct license.

* Sat Apr 29 2006 Lev Givon <lev@mandriva.org> 0.4.8-3mdk
- Fix build requirements, build with -fPIC

* Fri Apr 28 2006 Lev Givon <lev@mandriva.org> 0.4.8-2mdk
- Patch signaltools.py bug

* Sun Mar 19 2006 Lev Givon <lev@mandriva.org> 0.4.8-1mdk
- Update version.

* Thu Feb 23 2006 Lev Givon <lev@mandriva.org> 0.4.6-1mdk
- Update version, fine-tune spec file.

* Tue Jan 31 2006 Lev Givon <lev@mandriva.org> 0.4.4-1mdk
- Update version.

* Mon Jan 23 2006 Lev Givon <lev@mandriva.org> 0.4.3-1mdk
- Package new SciPy for Mandriva.

* Fri Oct 07 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.3.2-3mdk
- finally build on x86_64 !

* Fri Sep 16 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.3.2-2mdk
- requires and use gcc3.3-g77

* Thu Mar 31 2005 Gaetan Lehmann <glehmann@n4.mandrakesoft.com> 0.3.2-1mdk
- initial contrib

